/** \file
\brief Otoczka na pojedyncz warto dowolnego typu
\author Adam Sawicki - sawickiap@poczta.onet.pl - http://regedit.gamedev.pl/ \n

Cz biblioteki CommonLib \n
Kodowanie Windows-1250, koniec wiersza CR+LF, test: Za gl ja \n
Licencja: GNU GPL. \n
Dokumentacja: \ref Module_Dator \n
Elementy moduu: \ref code_dator
*/
#include "Base.hpp"
#include "Dator.hpp"

namespace common
{

//HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
// Klasa DatorGroup

bool DatorGroup::Delete(const tstring &Name)
{
	DATOR_MAP::iterator it = m_Dators.find(Name);
	if (it == m_Dators.end())
		return false;
	m_Dators.erase(it);
	return true;
}

bool DatorGroup::Exists(const tstring &Name)
{
	DATOR_MAP::iterator it = m_Dators.find(Name);
	return it != m_Dators.end();
}

int DatorGroup::SetValue(const tstring &Name, const tstring &Value)
{
	DATOR_MAP::iterator it = m_Dators.find(Name);
	if (it == m_Dators.end())
		return 1;
	return it->second->SetValue(Value) ? 0 : 2;
}

int DatorGroup::GetValue(const tstring &Name, tstring *Value)
{
	DATOR_MAP::iterator it = m_Dators.find(Name);
	if (it == m_Dators.end())
		return 1;
	return it->second->GetValue(Value) ? 0 : 2;
}

} // namespace common
